Which new Web Browser Version should i use?

If you are using IE6, it is definitely time to upgrade. That old browser is aweful, and an absolute headache for us web designers wanting to do wonderful things with your website. So much time can be wasted on IE6 compatibility. With the launch of IE9, we consider that IE6 compatibility is no longer a necessity, and if you really require it, then please request this compatibility which will be additional to our standard quotes.

For everyone else, it doesn't really matter which browser you use. IE and Firefox have all new versions, aiming for a faster startup and faster download and rendering of pages. It doesn't really matter which you use, but it is a noticeable trend that Firefox users love it and won't try anything else. Everyone else is rappidly shifting to Chrome, which is coming at a cost to Internet Explorer, who appears to be quickly copying Chrome style with IE9. We note IE still has the majority share. In house we mainly use Chrome.  

All the above browsers are compatible with our website builder service, with any subtle differences being noted only within the TinyMCE WYSIWYG editor area (the word style editor). We have a new TinyMCE 3.4.2 version available to test, and you can select this new editor from the drop down while editing any page content.

Please note that only part of our CMS continues to be incompatible with iPad and iPhone, specifically the WYSIWYG content editing component. All other aspects of our CMS function normally. We are not aware of any competing CMS offering iPad support, due to the fact that iPads don't support DHTML features, nor flash..

Posted: Tuesday 14 June 2011

Comments



>Home >About Us >Our Blog >Which new Web Browser Version should i use?